Bug 110492 - USB audio device not being loaded correctly.
USB audio device not being loaded correctly.
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
1
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-11-20 00:54 EST by Andrew J. Hutton
Modified: 2015-01-04 17:03 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-02-04 15:57:41 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andrew J. Hutton 2003-11-20 00:54:57 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.1)
Gecko/20031030 Epiphany/1.0.4

Description of problem:
EMU10K loads and works fine.

Nov 20 00:43:53 monkey kernel: hub.c: new USB device 00:11.2-2,
assigned address 4
Nov 20 00:43:53 monkey kernel: usb-uhci.c: interrupt, status 2, frame#
1265
Nov 20 00:43:53 monkey kernel: usb.c: USB device not accepting new
address=4 (error=-110)
Nov 20 00:43:53 monkey kernel: hub.c: new USB device 00:11.2-2,
assigned address 5
Nov 20 00:43:53 monkey kernel: usb.c: USB device not accepting new
address=5 (error=-110)
Nov 20 00:43:57 monkey kernel: hub.c: new USB device 00:11.2-2,
assigned address 6
Nov 20 00:43:57 monkey kernel: usb.c: USB device 6 (vend/prod
0xa3f/0x1) is not claimed by any active driver.
Nov 20 00:44:00 monkey kernel: usb-uhci.c: ENXIO 80000680, flags 0,
urb dc7c9a40, burb dc7c9740
Nov 20 00:44:00 monkey kernel: usb-uhci.c: ENXIO 80000680, flags 0,
urb dc7c9a40, burb dc7c9740
Nov 20 00:44:01 monkey kernel: usb_control/bulk_msg: timeout
Nov 20 00:44:01 monkey kernel: usb.c: registered new driver snd-usb-audio
Nov 20 00:44:01 monkey kernel: usb-uhci.c: ENXIO 80000600, flags 0,
urb dcaa21c0, burb dc7c9740
Nov 20 00:44:01 monkey kernel: ALSA usbaudio.c:2776: cannot reset
configuration (value 0x1)
Nov 20 00:44:01 monkey kernel: usb_control/bulk_msg: timeout
Nov 20 00:44:01 monkey kernel: usb-uhci.c: ENXIO 80000680, flags 0,
urb dcaa29c0, burb dc7c9740
Nov 20 00:44:01 monkey kernel: usb.c: registered new driver audio
Nov 20 00:44:01 monkey kernel: usb-uhci.c: ENXIO 80000600, flags 0,
urb dcaa2940, burb dc7c9740
Nov 20 00:44:01 monkey kernel: ALSA usbaudio.c:2776: cannot reset
configuration (value 0x1)
Nov 20 00:44:01 monkey kernel: usb-uhci.c: ENXIO 80000600, flags 0,
urb dcaa2940, burb dc7c9740
Nov 20 00:44:01 monkey usb.agent[1252]: ... no modules for USB product
a3f/1/100
Nov 20 00:44:01 monkey kernel: usbaudio: set_configuration failed
(ConfigValue 0x1)
Nov 20 00:44:01 monkey kernel: audio.c: v1.0.0:USB Audio Class driver
Nov 20 00:44:01 monkey kernel: usb-uhci.c: ENXIO 80000680, flags 0,
urb dcaa29c0, burb dc7c9740
Nov 20 00:44:01 monkey kernel: usb_control/bulk_msg: timeout
Nov 20 00:44:01 monkey kernel: usb-uhci.c: ENXIO 80000680, flags 0,
urb dc7c9740, burb dcaa29c0
Nov 20 00:44:01 monkey kernel: usb-uhci.c: ENXIO 80000680, flags 0,
urb dcaa29c0, burb dc7c9740
Nov 20 00:44:01 monkey kernel: usb-uhci.c: ENXIO 80000680, flags 0,
urb dcaa29c0, burb dc7c9740
Nov 20 00:44:01 monkey kernel: usb_control/bulk_msg: timeout
Nov 20 00:44:12 monkey last message repeated 99 times
Nov 20 00:44:12 monkey usb.agent[1248]: ... no modules for USB product
a3f/1/100


This did work fine after some minor fixed in RH9 which GregKH helped
with, but I don't think they ever got merged back in.

Version-Release number of selected component (if applicable):
hotplug-2003_08_05-1

How reproducible:
Always

Steps to Reproduce:
1. Unplug USB Audio.
2. Plug in USB Audio.

    

Actual Results:  See above.

Expected Results:  It should show up as /dev/dsp2 and /dev/mixer1.

Additional info:

The device is a Swissonic USB Studio-D, it has worked fine in the past.
Comment 1 Bill Nottingham 2005-02-04 15:56:46 EST
Closing out bugs on older, no longer supported, releases. Apologies
for any lack of response. Please reopen if problems persist on more
current releases.

Note You need to log in before you can comment on or make changes to this bug.